﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight;
using System.ComponentModel;

namespace Benday.ListControls.Presentation
{
    public class SelectableItem : ViewModelBase, ISelectableItem
    {
        public SelectableItem()
        {

        }

        /// <summary>
        /// Initializes a new instance of the SelectableItem class.
        /// </summary>
        /// <param name="isSelected"></param>
        /// <param name="text"></param>
        public SelectableItem(bool isSelected, string text) : this(isSelected, text, text)
        {

        }

        /// <summary>
        /// Initializes a new instance of the SelectableItemViewModel class.
        /// </summary>
        /// <param name="isSelected"></param>
        /// <param name="text"></param>
        /// <param name="value"></param>
        public SelectableItem(bool isSelected, string text, string value)
        {
            m_isSelected = isSelected;
            m_text = text;
            m_value = value;
        }

        private const string IsSelectedPropertyName = "IsSelected";

        private bool m_isSelected;
        public bool IsSelected
        {
            get
            {
                return m_isSelected;
            }
            set
            {
                m_isSelected = value;
                RaisePropertyChanged(IsSelectedPropertyName);
            }
        }

        private const string TextPropertyName = "Text";

        private string m_text;
        public string Text
        {
            get
            {
                return m_text;
            }
            set
            {
                m_text = value;
                RaisePropertyChanged(TextPropertyName);
            }
        }

        private const string ValuePropertyName = "Value";

        private string m_value;
        public string Value
        {
            get
            {
                return m_value;
            }
            set
            {
                m_value = value;
                RaisePropertyChanged(ValuePropertyName);
            }
        }

        public override string ToString()
        {
            return Text;
        }
    }
}
