﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight;
using Benday.ListControls.Presentation;
using System.Collections.ObjectModel;

namespace Benday.ListControls.Sample
{
    public class MainPageViewModel : ViewModelBase
    {
        public MainPageViewModel()
        {
            m_checkboxListItems = new ObservableCollection<ISelectableItem>();
            m_radioButtonListItems = new ObservableCollection<ISelectableItem>();
        }

        private ObservableCollection<ISelectableItem> m_checkboxListItems;
        public ObservableCollection<ISelectableItem> CheckboxListItems
        {
            get
            {
                if (m_checkboxListItems == null)
                {
                    m_checkboxListItems = new ObservableCollection<ISelectableItem>();
                }

                return m_checkboxListItems;
            }
        }

        public void InitializeViewModelData()
        {
            CheckboxListItems.Add(new SelectableItem(false, "Mustard"));
            CheckboxListItems.Add(new SelectableItem(false, "Ketchup"));
            CheckboxListItems.Add(new SelectableItem(true, "Pickles"));
            CheckboxListItems.Add(new SelectableItem(false, "Caramelized Onions"));
            CheckboxListItems.Add(new SelectableItem(false, "Fried Egg"));

            RadioButtonListItems.Add(new SelectableItem(true, "Hamburger"));
            RadioButtonListItems.Add(new SelectableItem(false, "Veggie Burger"));
            RadioButtonListItems.Add(new SelectableItem(false, "Chicken"));
            RadioButtonListItems.Add(new SelectableItem(false, "Meatloaf"));
        }

        private ObservableCollection<ISelectableItem> m_radioButtonListItems;
        public ObservableCollection<ISelectableItem> RadioButtonListItems
        {
            get
            {
                if (m_radioButtonListItems == null)
                {
                    m_radioButtonListItems = new ObservableCollection<ISelectableItem>();
                }

                return m_radioButtonListItems;
            }
        }
    }
}
